<template>
  <div class="app-wrapper">
    <Sidebar class="sidebar-container" />
    <div class="main-container">
      <AppMain />
    </div>
    <AsControlCard />
  </div>
</template>

<script>
import { AppMain, Sidebar } from './components';
import AsControlCard from '@/components/AsControlCard';

export default {
  name: 'Layout',
  components: {
    AppMain,
    Sidebar,
    AsControlCard,
  },
};
</script>

<style lang="scss">
.app-wrapper {
  position: relative;
  height: 100%;
  width: 100%;
}
.main-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  z-index: 1;
}
.sidebar-container {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 56px;
  z-index: 10;
}
</style>
